Contact Us - sales@typent.com   

Dell Computers Exposed to Pre-Installed SupportAssist Security Flaw

Posted on: 03-05-2019

Dell Computers Exposed to Pre-Installed SupportAssist Security Flaw

Dell issued a security update to patch a SupportAssist Client software vulnerability  (CVE-2019-3719) which allows potential attackers to remotely execute arbitrary executables on vulnerable computers.

Dell SupportAssist checks the health of your computer system’s hardware and software. It comes pre-installed on most Dell computers.

If you currently have Dell SupportAssist deployed on your workstations, it’s pretty critical that you take action to ensure that you don’t fall prey to this exploit.

Our support can help you. Email us today to arrange a call or meeting to discover how TYPENT can help you and your company stay safe and secured.